kernel panic when running Python test suite on ecryptfs

Bug #813146 reported by Barry Warsaw on 2011-07-19
428
This bug affects 23 people
Affects Status Importance Assigned to Milestone
eCryptfs
High
Tyler Hicks
ecryptfs-utils (Ubuntu)
Critical
Unassigned
Oneiric
Critical
Unassigned
Precise
Critical
Unassigned
linux (Ubuntu)
Critical
Tyler Hicks
Oneiric
Critical
Unassigned
Precise
Critical
Tyler Hicks

Bug Description

Fully updated Oneiric as of this writing, here's a surefire way to kernel panic.

In an ecryptfs $HOME:

$ hg clone http://hg.python.org/cpython
$ sudo apt-get build-dep python2.7
$ cd cpython
$ hg up 2.7
$ ./configure && make
$ make TESTOPTS="-j 50" testall

The test suite starts to run and before you can blink, X dies and you get kernel panic on the console. I think it's related to ecryptfs because if you instead do all the above in /tmp, it works just fine.
---
AcpiTables:
 Error: command ['gksu', '-D', 'Apport', '--', '/usr/share/apport/dump_acpi_tables.py'] failed with exit code 1: Sorry, try again.
 GNOME_SUDO_PASS
 Sorry, try again.
 sudo: 3 incorrect password attempts
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC2: barry 1989 F.... pulseaudio
 /dev/snd/controlC0: barry 1989 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfbcf8000 irq 44'
   Mixer name : 'Realtek ALC1200'
   Components : 'HDA:10ec0888,102802c9,00100101'
   Controls : 38
   Simple ctrls : 21
Card1.Amixer.info:
 Card hw:1 'HDMI'/'HDA ATI HDMI at 0xfbefc000 irq 45'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100100'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Card2.Amixer.info:
 Card hw:2 'Headset'/'Logitech Logitech USB Headset at usb-0000:00:1d.2-2, full speed'
   Mixer name : 'USB Mixer'
   Components : 'USB046d:0a01'
   Controls : 6
   Simple ctrls : 2
DistroRelease: Ubuntu 11.10
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha amd64 (20110705.1)
MachineType: Dell Inc. Studio XPS 435MT
Package: linux (not installed)
PackageArchitecture: amd64
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-5-generic root=UUID=7ffae0c6-66ea-4bbd-ae3d-f98ddd9603a5 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.0.0-5.6-generic 3.0.0-rc7
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-5-generic N/A
 linux-backports-modules-3.0.0-5-generic N/A
 linux-firmware 1.56
RfKill:

Tags: unity-2d oneiric unity-2d oneiric
Uname: Linux 3.0.0-5-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout fuse libvirtd lpadmin plugdev sambashare sbuild
dmi.bios.date: 05/05/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.1.1
dmi.board.name: 0R849J
dmi.board.vendor: Dell Inc.
dmi.board.version: A03
dmi.chassis.type: 3
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.1.1:bd05/05/2009:svnDellInc.:pnStudioXPS435MT:pvr:rvnDellInc.:rn0R849J:rvrA03:cvnDellInc.:ct3:cvr:
dmi.product.name: Studio XPS 435MT
dmi.sys.vendor: Dell Inc.

Barry Warsaw (barry) on 2011-07-19
Changed in ecryptfs-utils (Ubuntu):
importance: Undecided → Critical
Barry Warsaw (barry) wrote :

Note that the -j 50 is crucial too. Without that, no panic.

summary: - Surefire way to kernel panic Oneiric
+ kernel panic when building Python on ecryptfs
Changed in ecryptfs-utils (Ubuntu):
status: New → Incomplete
status: Incomplete → New
Barry Warsaw (barry) on 2011-07-19
summary: - kernel panic when building Python on ecryptfs
+ kernel panic when running Python test suite on ecryptfs

This bug is missing log files that will aid in dianosing the problem. From a terminal window please run:

apport-collect 813146

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu):
importance: Undecided → Critical

apport information

tags: added: apport-collected oneiric unity-2d
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Tyler Hicks (tyhicks) wrote :

Confirmed on 3.0+

Changed in ecryptfs:
status: New → Confirmed
assignee: nobody → Tyler Hicks (tyhicks)
importance: Undecided → High

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel currently in the release pocket than the one you tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

Thank you for your help.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.0.0-5.6
Brad Figg (brad-figg) on 2011-09-12
tags: added: kernel-request-3.0.0-11.17
removed: kernel-request-3.0.0-5.6
Changed in ecryptfs-utils (Ubuntu):
status: New → Confirmed
Guy Taylor (thebiggerguy) wrote :

Just got this
My oops trace is at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/850253
linux-image-3.0.0-11-generic 3.0.0-11.18

System was performing a large update through update manager, 300mb or so of deb files. This would follow the symptoms of the Python testing where heavy hard drive use could be the cause.

@Barry Warsaw
Is this on a SSD or HDD?

tags: added: 3.0.0-11.18

On Sep 14, 2011, at 06:49 PM, Guy Taylor wrote:

>@Barry Warsaw
>Is this on a SSD or HDD?

HDD

Guy Taylor (thebiggerguy) wrote :

After looking into it more I have moved my bug report away and collected that set around https://bugs.launchpad.net/ubuntu/+source/linux/+bug/836513
Could someone more familiar with ecryptfs please check to see if this and 836513 are related.

I am seeing the same thing in different circumstances: while developing Launchpad, running "utilities/start-dev-soyuz.sh" and then "make run_all", I've seen the similar OOPS like in comment #23 twice now (i.e. exception in decrypt_scatterlist, vs. the OOPS from bug 836513 which happens in encrypt_scatterlist).

The worst thing is that system seems to remain usable (except that gnome-screensaver locks you out of the system until you kill it from a virtual console or ssh), but after you reboot, your changes/new files created after the panic are lost.

FWIW, my dmesg has following lines (more of them, but just at different times) on boot, but those could be the old "empty files start appearing" bug in ecryptfs or something different:

[ 68.145110] Valid eCryptfs headers not found in file header region or xattr region
[ 68.145113] Either the lower file is not in a valid eCryptfs format, or the key could not be retrieved. Plaintext passthrough mode is not enabled; returning -EIO

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.0.0-12.20

I confirmed exactly because I am seeing it in the latest kernel version "Package: linux-image-3.0.0-12-generic 3.0.0-12.20" as indicated in the duplicate bug report I filed. I am re-confirming hoping the lpltk bot doesn't mark it as incomplete again.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Dustin Kirkland  (kirkland) wrote :

Added tasks for Oneiric and Precise. This seems relatively straightforward to reproduce and as such should probably be triaged, fixed, and SRU'd to 11.10.

Changed in linux (Ubuntu):
assignee: nobody → Tyler Hicks (tyhicks)
Changed in ecryptfs-utils (Ubuntu Oneiric):
status: New → Confirmed
Changed in linux (Ubuntu Oneiric):
status: New → Confirmed
importance: Undecided → Critical
Changed in ecryptfs-utils (Ubuntu Oneiric):
importance: Undecided → Critical
Joseph Salisbury (jsalisbury) wrote :

@danilo

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the release candidate kernel versus the daily build. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

Joseph Salisbury (jsalisbury) wrote :

@Barry

Would it be possible to get a screen shot of your panic? This may be a duplicate of bug 836513

Joseph Salisbury (jsalisbury) wrote :

@Barry

It would also be helpful if you could test the mainline kernel as well. That will tell us if this is already fixed upstream.

Joseph Salisbury (jsalisbury) wrote :

Was this an issue in prior releases, or is this an Oneiric regression?

tags: added: regression-release
tags: removed: regression-release
Barry Warsaw (barry) wrote :

Here's a screen shot (crappy old iphone :) of the kernel panic. Yes, it's an Oneiric regression and I'll try to run it again on the mainline kernel.

Barry Warsaw (barry) wrote :

Nice too that you can still ssh in and do a clean reboot. Thanks for that hint.

tags: added: regression-release
Barry Warsaw (barry) wrote :

$ uname -a
Linux limelight 3.0.4-030004-generic #201108301138 SMP Tue Aug 30 11:42:30 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Confirmed on Oneiric *not* to kernel panic. Full Python test suite completed successfully (well, with an unrelated upstream unit test failure :).

I just got it with amd64 kernel from http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.1-rc9-oneiric. I tried to take a screenshot with my phone, but was too late (and Ctrl-Alt-F1 won't bring me back to the virtual console) and I only have a crappy overexposed photo. However, dmesg output from http://pastebin.ubuntu.com/711741/ matches exactly what was on the screen for 10-15 seconds before it got me back to the UI.

$ uname -a
Linux bljubuntu 3.1.0-0301rc9-generic #201110050905 SMP Wed Oct 5 09:15:03 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

FWIW, bug 836513 does have a similar traceback (as I noted above in comment #28), but it's in encrypt_scatterlist, while our tracebacks are in decrypt_scatterlist.

Also, since there are plenty more duplicates now, details of my system and how I am triggering the bug are in bug 873199. Only my /home is encrypted. Off to reboot again.

Tyler Hicks (tyhicks) on 2011-10-19
Changed in ecryptfs-utils (Ubuntu Oneiric):
status: Confirmed → Invalid
Changed in ecryptfs-utils (Ubuntu Precise):
status: Confirmed → Invalid
Changed in ecryptfs:
status: Confirmed → In Progress
Changed in linux (Ubuntu Precise):
status: Confirmed → In Progress
Tyler Hicks (tyhicks) wrote :

This is the fix I've written against the 3.1-rc10 kernel. I plan on testing the error paths a little more and sending it to the eCryptfs and linux-fsdevel lists for peer review before committing it upstream.

It doesn't apply cleanly to the oneiric kernel sources (due to bf6c7f6c7bd0ea779757d35b5fdc9f9157f056b3), but it is a trivial cleanup when that time comes.

tags: added: patch

The attachment "[PATCH] eCryptfs: Prevent file create race condition" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

I'd be happy to test the above patch out, but I lack the time to compile my own kernel. If there's a deb package, I'd happily stress test it to see if I can hit the problem again (or uncover any other problems).

Download full text (4.3 KiB)

3.0.0-13-generic-pae affected too:
Oct 26 22:28:10 fqc-book kernel: [326923.537027] ------------[ cut here ]------------
Oct 26 22:28:10 fqc-book kernel: [326923.537078] kernel BUG at /build/buildd/linux-3.0.0/fs/ecryptfs/crypto.c:348!
Oct 26 22:28:10 fqc-book kernel: [326923.537139] invalid opcode: 0000 [#1] SMP
Oct 26 22:28:10 fqc-book kernel: [326923.537176] Modules linked in: nls_utf8 isofs snd_seq_dummy snd_usb_audio snd_usbmidi_lib nls_iso8859_1 nls_cp437
vfat fat hidp bnep rfcomm pci_stub vboxpci vboxnetadp vboxnetflt vboxdrv parport_pc ppdev binfmt_misc dm_crypt snd_hda_codec_hdmi snd_hda_codec_idt hp_
wmi sparse_keymap snd_hda_intel snd_hda_codec snd_hwdep snd_pcm btusb snd_seq_midi dm_multipath uvcvideo videodev snd_rawmidi bluetooth joydev snd_seq_
midi_event snd_seq arc4 snd_timer rt2800pci snd_seq_device rt2800lib crc_ccitt rt2x00pci rt2x00lib psmouse snd serio_raw mac80211 cfg80211 soundcore sn
d_page_alloc intel_ips eeprom_93cx6 mei(C) hp_accel lis3lv02d input_polldev lp parport ums_realtek dm_raid45 xor dm_mirror dm_region_hash dm_log btrfs
zlib_deflate libcrc32c usb_storage uas usbhid hid ahci libahci i915 wmi drm_kms_helper drm r8169 i2c_algo_bit video
Oct 26 22:28:10 fqc-book kernel: [326923.537887]
Oct 26 22:28:10 fqc-book kernel: [326923.537901] Pid: 5475, comm: dconf-service Tainted: G WC 3.0.0-13-generic-pae #21-Ubuntu Hewlett-Packard H
P ProBook 4320s/1423
Oct 26 22:28:10 fqc-book kernel: [326923.537993] EIP: 0060:[<c12066c6>] EFLAGS: 00010246 CPU: 0
Oct 26 22:28:10 fqc-book kernel: [326923.538040] EIP is at encrypt_scatterlist+0xe6/0x120
Oct 26 22:28:10 fqc-book kernel: [326923.538077] EAX: 00000000 EBX: 00001000 ECX: cd423d74 EDX: cd423da4
Oct 26 22:28:10 fqc-book kernel: [326923.538126] ESI: cd76297c EDI: cd76297c EBP: cd423d48 ESP: cd423d1c
Oct 26 22:28:10 fqc-book kernel: [326923.538181] DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Oct 26 22:28:10 fqc-book kernel: [326923.538229] Process dconf-service (pid: 5475, ti=cd422000 task=cfa2d940 task.ti=cd422000)
Oct 26 22:28:10 fqc-book kernel: [326923.538299] Stack:
Oct 26 22:28:10 fqc-book kernel: [326923.538318] 00000000 00000000 00000000 cd423d74 cd423d8c 00000000 cd423da4 00000200
Oct 26 22:28:10 fqc-book kernel: [326923.538389] 00001000 00000000 cd76297c cd423dc4 c1206ef4 00001000 cd423da4 cd762800
Oct 26 22:28:10 fqc-book kernel: [326923.538465] 00000000 cd423da4 f2702220 f50ed600 00000000 00000000 f50ed602 00000000
Oct 26 22:28:10 fqc-book kernel: [326923.538542] Call Trace:
Oct 26 22:28:10 fqc-book kernel: [326923.538570] [<c1206ef4>] ecryptfs_encrypt_extent+0xe4/0x230
Oct 26 22:28:10 fqc-book kernel: [326923.538620] [<c1207474>] ecryptfs_encrypt_page+0x94/0x1c0
Oct 26 22:28:10 fqc-book kernel: [326923.538667] [<c1205139>] ecryptfs_writepage+0x29/0x80
Oct 26 22:28:10 fqc-book kernel: [326923.538714] [<c10ef630>] __writepage+0x10/0x40
Oct 26 22:28:10 fqc-book kernel: [326923.538751] [<c10efaf3>] write_cache_pages+0x193/0x3f0
Oct 26 22:28:10 fqc-book kernel: [326923.538796] [<c10ef620>] ? set_page_dirty_lock+0x50/0x50
Oct 26 22:28:10 fqc-book kernel: [326923.538846] [<c10e9af9>] ? generic_file_aio_write+0x89/0xd0
Oct 26 22:28:10 fqc-book ke...

Read more...

tags: added: rls-p-tracking
Changed in linux (Ubuntu Precise):
milestone: none → precise-alpha-2
peterzay (peterzay) wrote :

I am getting this crash occasionally since my initial report (dup Bug #876891) and usually on shutdown.

Not doing anything special or fancy, just basic stuff like Firefox and Update Manager.

Really annoying, but at least I am not losing any work (so far).

Morfeusz888 (morfiblog) on 2011-11-13
Changed in ecryptfs-utils (Ubuntu Oneiric):
status: Invalid → Confirmed
status: Confirmed → Invalid
Tyler Hicks (tyhicks) wrote :

This is the version of the patch that I intend to upstream. It is against kernel version 3.2-rc1.

I've built an Oneiric test kernel, based upon 3.0.0-12.20, which contains this fix and a fix for bug #870326. Here are the links:
http://people.canonical.com/~tyhicks/ecryptfs/linux-headers-3.0.0-12-generic_3.0.0-12.20+ecryptfs1_amd64.deb
http://people.canonical.com/~tyhicks/ecryptfs/linux-image-3.0.0-12-generic_3.0.0-12.20+ecryptfs1_amd64.deb

tags: added: kernel-da-key
Tim Gardner (timg-tpi) wrote :

This bug should be considered a security issue since one could implement a denial of service on a server using encrypted home.

security vulnerability: no → yes
Tyler Hicks (tyhicks) on 2011-11-21
Changed in linux (Ubuntu Precise):
milestone: precise-alpha-2 → precise-alpha-1
Tyler Hicks (tyhicks) wrote :
Changed in ecryptfs:
status: In Progress → Fix Released
Tim Gardner (timg-tpi) on 2011-11-24
Changed in linux (Ubuntu Oneiric):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Precise):
status: In Progress → Fix Released
Andre (ajx) wrote :

Had this bug never before, but then twice today. Unfortunately I can't remember what updates I received today. I've doing nothing special or HD intensive. But then I was kicked out of Unity to a terminal showing me

kernel BUG at /build/buildd/linux-3.0.0/fs/ecryptfs/crypto.c:348!

By the way, I'm using a SSD. First I was afraid of cells dying away.

Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel for Oneiric in -proposed solves the problem (3.0.0-15.24). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-oneiric' to 'verification-done-oneiric'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-oneiric
Barry Warsaw (barry) wrote :

I tested the original crash reproduction recipe on both the current Python 2.7 and 3.3 mercurial branches. No kernel panic in either case. I suppose it's possible that something else changed in Python or 11.10 to avoid the crash, but I doubt it for Python 2.7. So I think the oneiric-proposed kernel does fix the original bug report. Thanks!

tags: added: verification-done-oneiric
removed: verification-needed-oneiric
Launchpad Janitor (janitor) wrote :
Download full text (13.9 KiB)

This bug was fixed in the package linux - 3.0.0-15.25

---------------
linux (3.0.0-15.25) oneiric-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #910894

  [ Upstream Kernel Changes ]

  * Revert "clockevents: Set noop handler in clockevents_exchange_device()"
    - LP: #904569

linux (3.0.0-15.24) oneiric-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #903188

  [ Alex Bligh ]

  * (config) Change Xen paravirt drivers to be built-in
    - LP: #886521

  [ Chase Douglas ]

  * Revert "SAUCE: HID: hid-ntrig: add support for 1b96:0006 model"
    - LP: #724831
  * Revert "SAUCE: hid: ntrig: Remove unused device ids"
    - LP: #724831

  [ Seth Forshee ]

  * SAUCE: dell-wmi: Demote unknown WMI event message to pr_debug
    - LP: #581312

  [ Upstream Kernel Changes ]

  * Revert "leds: save the delay values after a successful call to
    blink_set()"
    - LP: #893741
  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * drm/i915: fix IVB cursor support
    - LP: #893222
  * drm/i915: always set FDI composite sync bit
    - LP: #893222
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * ALSA: hda - Don't add elements of other codecs to vmaster slave
    - LP: #893741
  * virtio-pci: fix use after free
    - LP: #893741
  * ASoC: Don't use wm8994->control_data in wm8994_readable_register()
    - LP: #893741
  * sh: Fix cached/uncaced address calculation in 29bit mode
    - LP: #893741
  * drm/i915: Fix object refcount leak on mmappable size limit error path.
    - LP: #893741
  * drm/nouveau: initialize chan->fence.lock before use
    - LP: #893741
  * drm/radeon/kms: make an aux failure debug only
    - LP: #893741
  * ALSA: usb-audio - Check the dB-range validity in the later read, too
    - LP: #893741
  * ALSA: usb-audio - Fix the missing volume quirks at delayed init
    - LP: #893741
  * KEYS: Fix a NULL pointer deref in the user-defined key type
    - LP: #893741
  * hfs: add sanity check for file name length
    - LP: #893741
  * drm/radeon: add some missing FireMV pci ids
    - LP: #893741
  * sfi: table irq 0xFF means 'no interrupt'
    - LP: #893741
  * x86, mrst: use a temporary variable for SFI irq
    - LP: #893741
  * b43: refuse to load unsupported firmware
    - LP: #893741
  * md/raid5: abort any pending parity operations when array fails.
    - LP: #893741
  * mfd: Fix twl4030 dependencies for audio codec
    - LP: #893741
  * xen:pvhvm: enable PVHVM VCPU placement when using more than 32 CPUs.
    - LP: #893741
  * xen-gntalloc: integer overflow in gntalloc_ioctl_alloc()
    - LP: #893741
  * xen-gntalloc: signedness bug in add_grefs()
    - LP: #893741
  * powerpc/ps3: Fix lost SMP IPIs
    - LP: #893741
  * powerpc: Copy down exception vectors after feature fixups
    - LP: #893741
  * backing-dev: ensure wakeup_timer is deleted
    - LP: #893741
  * block: Always check length of all iov entries in blk_rq_map_user_iov()
    - LP: #893741
  * Linux 3.0.10
    - LP: #893741
  * drm/i915: add multi-threaded forcewake support
    - LP: #891270
  * (pre-sta...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
description: updated
To post a comment you must log in.